---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/liballthr01.dylib'
relocations:
  - { offsetInCU: 0x98, offset: 0x98, size: 0x8, addend: 0x0, symName: __ZL15sys_thread_name, symObjAddr: 0x2D40, symBinAddr: 0x3D30, symSize: 0x0 }
  - { offsetInCU: 0xB1, offset: 0xB1, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x21B80, symBinAddr: 0x80E0, symSize: 0x0 }
  - { offsetInCU: 0x8D05, offset: 0x8D05, size: 0x8, addend: 0x0, symName: __ZL26starting_agent_thread_lock, symObjAddr: 0x21B88, symBinAddr: 0x80E8, symSize: 0x0 }
  - { offsetInCU: 0x8D1E, offset: 0x8D1E, size: 0x8, addend: 0x0, symName: __ZL26stopping_agent_thread_lock, symObjAddr: 0x21B90, symBinAddr: 0x80F0, symSize: 0x0 }
  - { offsetInCU: 0x8D2B, offset: 0x8D2B, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1400, symBinAddr: 0x2AB0, symSize: 0x180 }
  - { offsetInCU: 0x8D62, offset: 0x8D62, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x21B98, symBinAddr: 0x80F8, symSize: 0x0 }
  - { offsetInCU: 0x8F4F, offset: 0x8F4F, size: 0x8, addend: 0x0, symName: __ZL8thr_info, symObjAddr: 0x3040, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x8FCB, offset: 0x8FCB, size: 0x8, addend: 0x0, symName: __ZL9main_only, symObjAddr: 0x3100, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x8FF0, offset: 0x8FF0, size: 0x8, addend: 0x0, symName: __ZL9main_name, symObjAddr: 0x2D4A, symBinAddr: 0x3D3A, symSize: 0x0 }
  - { offsetInCU: 0x9015, offset: 0x9015, size: 0x8, addend: 0x0, symName: __ZL8thr1_sys, symObjAddr: 0x3110, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x903A, offset: 0x903A, size: 0x8, addend: 0x0, symName: __ZL12thread1_name, symObjAddr: 0x2D4F, symBinAddr: 0x3D3F, symSize: 0x0 }
  - { offsetInCU: 0x9053, offset: 0x9053, size: 0x8, addend: 0x0, symName: __ZL9main_thr1, symObjAddr: 0x3120, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x906C, offset: 0x906C, size: 0x8, addend: 0x0, symName: __ZL8sys_only, symObjAddr: 0x3130, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x9085, offset: 0x9085, size: 0x8, addend: 0x0, symName: __ZL8main_sys, symObjAddr: 0x3140, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x909E, offset: 0x909E, size: 0x8, addend: 0x0, symName: __ZL9thr1_only, symObjAddr: 0x3150, symBinAddr: 0x80C0, symSize: 0x0 }
  - { offsetInCU: 0x90B7, offset: 0x90B7, size: 0x8, addend: 0x0, symName: __ZL7main_fj, symObjAddr: 0x3160, symBinAddr: 0x80D0, symSize: 0x0 }
  - { offsetInCU: 0x90D0, offset: 0x90D0, size: 0x8, addend: 0x0, symName: __ZL14fj_thread_name, symObjAddr: 0x2D60, symBinAddr: 0x3D50, symSize: 0x0 }
  - { offsetInCU: 0x9161, offset: 0x9161, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x25A0, symSize: 0x30 }
  - { offsetInCU: 0x9483, offset: 0x9483, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xF20, symBinAddr: 0x25D0, symSize: 0xB0 }
  - { offsetInCU: 0x9588, offset: 0x9588, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xFD0, symBinAddr: 0x2680, symSize: 0x100 }
  - { offsetInCU: 0x97C3, offset: 0x97C3, size: 0x8, addend: 0x0, symName: _check_info, symObjAddr: 0x10D0, symBinAddr: 0x2780, symSize: 0x330 }
  - { offsetInCU: 0x9E05, offset: 0x9E05, size: 0x8, addend: 0x0, symName: _Java_allthr01_startAgentThread, symObjAddr: 0x1580, symBinAddr: 0x2C30, symSize: 0x250 }
  - { offsetInCU: 0xA354, offset: 0xA354, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1A50, symBinAddr: 0x3100, symSize: 0x70 }
  - { offsetInCU: 0xA461, offset: 0xA461, size: 0x8, addend: 0x0, symName: __ZL10sys_threadP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x17D0, symBinAddr: 0x2E80, symSize: 0x280 }
  - { offsetInCU: 0xAAA0, offset: 0xAAA0, size: 0x8, addend: 0x0, symName: _Java_allthr01_stopAgentThread, symObjAddr: 0x1AC0, symBinAddr: 0x3170, symSize: 0x170 }
  - { offsetInCU: 0xADAB, offset: 0xADAB, size: 0x8, addend: 0x0, symName: _Java_allthr01_checkInfo0, symObjAddr: 0x1C30, symBinAddr: 0x32E0, symSize: 0x10 }
...
